Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037520
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2017-12-20 09:592018-01-19 09:24
ReporterSandrahuguetView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revisiona31a53d79bda
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037520: Performance problem in remote mode when filter by best sellers category

DescriptionPerformance problem in remote mode when filter by best sellers category

test failing in hgvol jobs:
https://ci.openbravo.com/view/retail/job/ret-higvol-pgsql/1093/testReport/org.openbravo.test.mobile.retail.pack.selenium.tests.receipts/I32445_FilterByBrandAndBestseller/test/ [^]
Steps To ReproduceIn a hgvol environment
-Enable all high volumes preference
-Log in the WebPOS
-Tap on Search
-Select "Best sellers" in product category combo

Slow part:
add(new HQLProperty("case when product.isGeneric is false then "
            + "(case when pli.bestseller = 'Y' then true else false end) "
            + "when (product.isGeneric is true and exists(select 1 "
            + "from Product p3 left join p3.oBRETCOProlProductList as pli3, "
            + "PricingProductPrice ppp3 where p3.genericProduct.id = product.id and "
            + "p3 = ppp3.product and ppp3.priceListVersion.id = :priceListVersionId "
            + "and pli3.obretcoProductlist.id = :productListId and pli3.bestseller = true)) "
            + "then true else false end", "bestseller"));
Proposed SolutionReestablish property to:
add(new HQLProperty("pli.bestseller", "bestseller"));

And persist bestsellers information for variant products

Same fix should be aplied to org.openbravo.retail.bestsellers module
https://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/file/35dff2889283/src/org/openbravo/retail/bestsellers/BestSellersProperties.java#l47 [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033057 closedranjith_qualiantech_com Variants marked as Best Sellers are not listed in Web POS 
related to design defect 0037555 acknowledgedRetail Performance problem in remote mode when filter by Best Sellers By Terminal Type 

-  Notes
(0101179)
hgbot (developer)
2017-12-21 08:47

Repository: tools/automation/pi-mobile
Changeset: cdffdc3e522d02aab41013ddcd3db996957f1aab
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Dec 21 08:46:51 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/cdffdc3e522d02aab41013ddcd3db996957f1aab [^]

related to issue 37520 Remove temporarily from the hgvol jobs

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/bestsellers/I32445_FilterByBrandAndBestseller.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I32445_FilterByBrandAndBestseller.java
---
(0101180)
Sandrahuguet (developer)
2017-12-21 08:47

Please, activate again when the issue will be fixed.
(0101652)
hgbot (developer)
2018-01-10 14:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a30e07b4da8b9a19ae276141f2fee48e7a874c72
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jan 10 15:18:18 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a30e07b4da8b9a19ae276141f2fee48e7a874c72 [^]

Related to issue 37520 : Modified besetseller in Product Properties for Performance issue

---
M src/org/openbravo/retail/posterminal/master/ProductProperties.java
---
(0101653)
hgbot (developer)
2018-01-10 14:33

Repository: tools/automation/pi-mobile
Changeset: aa4c32fa609c6917311304950e0752f327f2fa32
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jan 10 19:03:11 2018 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/aa4c32fa609c6917311304950e0752f327f2fa32 [^]

Verifies issue 37520 : Modified automated test 'I33057_VerifyGenericProductsAsBestSeller'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/bestsellers/I32445_FilterByBrandAndBestseller.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/products/I33057_VerifyGenericProductsAsBestSeller.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I32445_FilterByBrandAndBestseller.java
---
(0101654)
hgbot (developer)
2018-01-10 14:34

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: a31a53d79bda0f8457833c69119c5169cc96d235
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jan 10 15:18:04 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/a31a53d79bda0f8457833c69119c5169cc96d235 [^]

Fixed issue 37520 : Update product query to get best sellers for Generic products

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
---
(0101655)
hgbot (developer)
2018-01-10 14:34

Repository: erp/pmods/org.openbravo.retail.bestsellers
Changeset: 0b7e6b7b2d59790c7fa36e425d574a490bbd1b92
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jan 10 19:03:05 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/0b7e6b7b2d59790c7fa36e425d574a490bbd1b92 [^]

Related to issue 37520 : Modified besetseller Properties for Performance issue

---
M src/org/openbravo/retail/bestsellers/BestSellersProperties.java
---

- Issue History
Date Modified Username Field Change
2017-12-20 09:59 Sandrahuguet New Issue
2017-12-20 09:59 Sandrahuguet Assigned To => Retail
2017-12-20 09:59 Sandrahuguet Triggers an Emergency Pack => No
2017-12-20 10:00 Sandrahuguet Relationship added related to 0033057
2017-12-20 10:00 Sandrahuguet Tag Attached: Performance
2017-12-20 10:01 Sandrahuguet Steps to Reproduce Updated View Revisions
2017-12-20 11:14 Sandrahuguet Proposed Solution updated
2017-12-20 11:17 Sandrahuguet Proposed Solution updated
2017-12-21 08:47 hgbot Checkin
2017-12-21 08:47 hgbot Note Added: 0101179
2017-12-21 08:47 Sandrahuguet Note Added: 0101180
2017-12-21 16:39 Sandrahuguet Steps to Reproduce Updated View Revisions
2017-12-27 16:02 Sandrahuguet Relationship added related to 0037555
2018-01-05 07:39 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-01-05 08:46 ranjith_qualiantech_com Status new => scheduled
2018-01-10 14:33 hgbot Checkin
2018-01-10 14:33 hgbot Note Added: 0101652
2018-01-10 14:33 hgbot Checkin
2018-01-10 14:33 hgbot Note Added: 0101653
2018-01-10 14:34 hgbot Checkin
2018-01-10 14:34 hgbot Note Added: 0101654
2018-01-10 14:34 hgbot Status scheduled => resolved
2018-01-10 14:34 hgbot Resolution open => fixed
2018-01-10 14:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/a31a53d79bda0f8457833c69119c5169cc96d235 [^]
2018-01-10 14:34 hgbot Checkin
2018-01-10 14:34 hgbot Note Added: 0101655
2018-01-19 09:24 marvintm Review Assigned To => marvintm
2018-01-19 09:24 marvintm Status resolved => closed
2018-01-19 09:24 marvintm Fixed in Version => RR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker